# Redact Matrix

Script that redacts (delete) every message in a room.

---

### Usage

#### Download

Download the script to your computer.

```
git clone https://git.thisisjoes.site/cynic/redact-matrix.git
cd redact-matrix
```

#### Get your access token

On [Cinny](https://app.cinny.in), for example, go to Firefox's Inspect tool, to the Storage tab, and copy your `cinny_access_token`.

![image](./image.jpg)

Other clients may have a similar key with this value.

For example on Element it is found at: ⚙️ *Quick settings > All Settings > Help & About > Advanced > Access Token*

![image](./element.png)

The token is different for each session and remains valid as long as you don't log out.

Open the `redact_all_messages.py` script with your favorite text editor and set the value for `homeserver` with the domain of the matrix instance you're logged in, and the `access_token` with the value you just extracted from the browser. Save the file.


#### Get the Matrix room id

On Cinny you can do this simply by clicking on the room's name. 

The id will be right below the title of the room, and it looks like this:
`!cdPNSVToruMtXqGznY:domain.tld`

On Element it can be found at ℹ️ *Room info > Settings > Advanced > Internal room ID*

![image](./element_room_id.png)


#### Run the script

```
python redact_all_messages.py '!cdPNSVToruMtXqGznY:domain.tld'
```

---

### Note

It will redact (delete) each of your contacts' comments too, so long as you got permissions over them, which is usually the case with every private room initiated by you.
